Skip to main content
Get all the patch envelopes
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

projectNamePattern
string

project name pattern

namePattern
string

patch envelope name pattern

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

summary
boolean

Only summary of the records required

Response

A successful response.

next
Cursor is used as filter in list operation. · object

cursor next

list
Opaque data for application instances · object[]

patch envelope summary list

summaryByAction
Summary is used to store the Summary details · object

patch envelopes summary by action

totalCount
integer<int64>

patch envelope total count